#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	tests		# unit tests
#
Summary:	Sample Rate Converter library
Summary(pl.UTF-8):	Biblioteka do konwersji częstotliwości próbkowania
Name:		libsamplerate
Version:	0.2.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/libsndfile/libsamplerate/releases
Source0:	https://github.com/libsndfile/libsamplerate/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	97c010fc25156c33cddc272c1935afab
URL:		http://www.mega-nerd.com/SRC/
BuildRequires:	alsa-lib-devel >= 0.9
%{?with_tests:BuildRequires:	fftw3-devel >= 3.0.0}
BuildRequires:	libsndfile-devel >= 1.0.10
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libsndfile >= 1.0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. SRC is capable of arbitrary and time varying conversions; from
downsampling by a factor of 12 to upsampling by the same factor. SRC
provides a small set of converters to allow quality to be traded off
against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%description -l pl.UTF-8
Biblioteka libsamplerate (zwana także Secret Rabbit Code lub Sample
Rate Converter - w skrócie SRC) służy do konwersji częstotliwości
próbkowania dźwięku. SRC może wykonywać dowolnych konwersji - od
zmniejszania częstotliwości do 12 razy do zwiększania o ten sam
współczynnik. SRC udostępnia niewielki zestaw konwerterów
pozwalających na pogodzenie jakości i czasu trwania konwersji.
Aktualnie najlepszy konwerter udostępnia współczynnik sygnał/szum 97dB
z rozszerzeniem zakresu pasma -3dB z DC do 96% teoretycznie
najlepszego pasma dla danej pary częstotliwości próbkowania wejścia i
wyjścia.

%package devel
Summary:	Header file for libsamplerate library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libsamplerate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libsamplerate library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libsamplerate.

%package static
Summary:	libsamplerate static library
Summary(pl.UTF-8):	Statyczna biblioteka libsamplerate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsamplerate static library.

%description static -l pl.UTF-8
Statyczna biblioteka libsamplerate.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libsamplerate

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md docs/*.md
%attr(755,root,root) %{_libdir}/libsamplerate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsamplerate.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsamplerate.so
%{_libdir}/libsamplerate.la
%{_includedir}/samplerate.h
%{_pkgconfigdir}/samplerate.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsamplerate.a
%endif
%changelog
* Tue Mar 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsamplerate.git;a=log;h=master

* Tue Mar 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 9321374
- updated to 0.2.2
- sndfile-resample (-tools) in 0.2.0+ has been moved to sndfile-tools package

* Sat May 16 2020 Jan Palus <atler@pld-linux.org> 21c2d1d
- BR: automake

* Sat May 02 2020 Jan Palus <atler@pld-linux.org> d0ce04e
- refresh config.sub

* Sat Feb 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 8c2c071
- updated to 0.1.9
- License is now BSD (2-clause)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 575c306
- x32 rebuild
- release 2 (by relup.sh)

* Thu Aug 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 4986a85
- check-files cleanup

* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2ae12e1
- updated to 0.1.8
- test.patch was applied upstream

* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0d231f5
- obsoleted

* Sat Aug 28 2010 hawk <hawk@pld-linux.org> 3573fc4
- fix x86_64 build

* Sat Aug 28 2010 hawk <hawk@pld-linux.org> 4ed6a6a
- fix for x86_64 build, taken from Gentoo which has it from upstream :)

* Tue Jun 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 5984f55
- updated to 0.1.7
- dropped ac/am rebuild (not needed, causes m4 to loop forever)

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> b833703
- BR: pkgconfig

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 641a53f
- reverted previous commit (mistake)

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 5fc133b
- updated to 1.3.2

* Thu Feb 22 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 3bbaec8
- release 3 for rebuild

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 082076b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0a6575c
- converted to UTF-8

* Wed Apr 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 6785ce6
- runtime dependency as well

* Wed Apr 06 2005 djurban <djurban@pld-linux.org> 2eac785
- it requires libsndfile >= 1.0.10

* Wed Jan 12 2005 wrobell <wrobell@pld-linux.org> 8791151
- builds only with fftw 3.x
- rel. 2

